Nucleus OS Docs

    jobPostings

    Lists open roles at Nucleus Institute, optionally filtered by department or location type. Public; no authentication required.

    Query · POST /graphql

    Signature

    type Query {
      jobPostings(department: String, locationType: JobLocationType): [JobPosting!]!
    }

    Arguments

    NameTypeRequiredDescription
    departmentStringNoOnly return roles in this department, for example Engineering. Exact match.
    locationTypeJobLocationTypeNoOnly return roles performed in this way (remote, hybrid, or on-site).

    Returns

    [JobPosting!]!

    A published role on the Nucleus Institute careers page.

    Example request

    query JobPostings($locationType: JobLocationType) {
      jobPostings(locationType: $locationType) {
        _id
        benefits
        closesAt
        compensationCurrency
        compensationInterval
        compensationMax
        compensationMin
        createdAt
        department
        description
        employmentType
        location
        locationType
        niceToHave
        publishedAt
        requirements
        responsibilities
        slug
        sortOrder
        status
        summary
        title
        updatedAt
      }
    }
    curl -X POST https://<api-host>/graphql \
      -H 'Content-Type: application/json' \
      -d '{"query":"query JobPostings($locationType: JobLocationType) { jobPostings(locationType: $locationType) { _id benefits closesAt compensationCurrency compensationInterval compensationMax compensationMin createdAt department description employmentType location locationType niceToHave publishedAt requirements responsibilities slug sortOrder status summary title updatedAt } }","variables":{"locationType":"HYBRID"}}'

    On this page